com.google.cloud.dataflow.sdk.options

## Interface DataflowWorkerLoggingOptions

All Superinterfaces:
  HasDisplayData, PipelineOptions

All Known Subinterfaces:
  BlockingDataflowPipelineOptions, DataflowPipelineOptions, DataflowWorkerHarnessOptions, TestDataflowPipelineOptions

    public interface DataflowWorkerLoggingOptions
    extends PipelineOptions

Options that are used to control logging configuration on the Dataflow worker.

### Nested Class Summary

Nested Classes
`static class` `DataflowWorkerLoggingOptions.Level` The set of log levels that can be used on the Dataflow worker.
`static class` `DataflowWorkerLoggingOptions.WorkerLogLevelOverrides` Defines a log level override for a specific class, package, or name.

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`DataflowWorkerLoggingOptions.Level` `getDefaultWorkerLogLevel()` This option controls the default log level of all loggers without a log level override.
`DataflowWorkerLoggingOptions.WorkerLogLevelOverrides` `getWorkerLogLevelOverrides()` This option controls the log levels for specifically named loggers.
`void` `setDefaultWorkerLogLevel(DataflowWorkerLoggingOptions.Level level)`
`void` `setWorkerLogLevelOverrides(DataflowWorkerLoggingOptions.WorkerLogLevelOverrides value)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getDefaultWorkerLogLevel

    @Default.Enum(value="INFO")
    DataflowWorkerLoggingOptions.Level getDefaultWorkerLogLevel()

This option controls the default log level of all loggers without a log level override.

#### setDefaultWorkerLogLevel

    void setDefaultWorkerLogLevel(DataflowWorkerLoggingOptions.Level level)

#### getWorkerLogLevelOverrides

    DataflowWorkerLoggingOptions.WorkerLogLevelOverrides getWorkerLogLevelOverrides()

This option controls the log levels for specifically named loggers.

Later options with equivalent names override earlier options.

See `DataflowWorkerLoggingOptions.WorkerLogLevelOverrides` for more information on how to configure logging on a per `Class`, `Package`, or name basis. If used from the command line, the expected format is {"Name":"Level",...}, further details on `DataflowWorkerLoggingOptions.WorkerLogLevelOverrides.from(java.util.Map<java.lang.String, java.lang.String>)`.

#### setWorkerLogLevelOverrides

    void setWorkerLogLevelOverrides(DataflowWorkerLoggingOptions.WorkerLogLevelOverrides value)